<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] ?: array()) + array("_c9ae15d69685c02eeabd974" . "f86df51ba" => base64_decode("OjpEcmF3KCkgbXV" . "zdCBiZSByZWRlZm" . "luZWQ="), "_347a4304a606a9c406" . "a8fbc8f72530a1" => base64_decode("TWV0aG9kIA=" . "="), "_ecfcdf011b493a3e718c1fe70" . "34e0dcd" => base64_decode("OjpMb2FkRnJvbUZvcm0oKSBtdXN0IGJlIHJlZGVmaW5" . "lZA=="), "_4d707fab93bebb00bb" . "e69e8159697c90" => base64_decode(""), "_5e9a99dc0dd49b" . "907abf1b35e9696" . "5f8" => base64_decode("dHJpbQ=" . "="), "_c244a47" . "0df52d1d" . "5a708513" . "8ec94e39" . "3" => base64_decode("dW5zZXJpY" . "WxpemU="), "_96be32a6f44bf54e635e1736acf7" . "a96c" => base64_decode("c2VyaWFs" . "aXpl"), "_fc9d7314a9d9958d8fa0a403ba8ff1" . "97" => base64_decode("Z2V" . "0X2" . "NsY" . "XNz"), "_00228d8faefcea" . "40b88e38b6f0ef8" . "fb8" => base64_decode("V3Jvbmcgc2VyaWFsaXplZCBzdHJpbmcgb2YgQ29udHJvbA=" . "="));





class FFControlAbstract extends ErrorHandler
{
    protected $key;
    protected $title;
    protected $data;
    protected $containter_name = "FFControl";
    public function __construct($key, $title)
    {
        $this->key = $key;
        $this->title = $title;
        $this->data = array();
    }
    public function StoreToString()
    {
        return $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_96be32a6f44bf" . "54e635e1736acf" . "7a96c"]($this->data);
    }
    public function LoadFromString($_939c6a45ff74323dbef487ed15753a7c)
    {
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_5e9a99dc0dd49b907abf1b35" . "e96965f8"]($_939c6a45ff74323dbef487ed15753a7c) === $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_4d707fab93bebb00bbe69e8159697" . "c90"]) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_00228d8f" . "aefcea40b" . "88e38b6f0" . "ef8fb8"]);
        }
        $this->data = $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_c244a470df52d1d5a7085138e" . "c94e393"]($_939c6a45ff74323dbef487ed15753a7c);
        return true;
    }
    public function LoadFromForm()
    {
        return $this->SetErrMsg($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_347a4304a606a9c406a8" . "fbc8f72530a1"] . $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_fc9d7314a9d9958d8fa0a403ba" . "8ff197"]($this) . $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_ecfcdf011b493a3e718c1fe7034e0" . "dcd"]);
    }
    public function Draw()
    {
        return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_347a4304a606a9c406a8fbc8" . "f72530a1"] . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_fc9d7314a9d9958d8fa" . "0a403ba8ff197"]($this) . $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_c9ae15d69685c02eeab" . "d974f86df51ba"]);
    }
    public function SaveIntoSession()
    {
        $_SESSION[$this->container_name][$this->key] = $this->data;
    }
    public function LoadFromSession()
    {
        if (isset($_SESSION[$this->container_name][$this->key])) {
            $this->data = $_SESSION[$this->container_name][$this->key];
            return true;
        }
        return false;
    }
    public function GetParams()
    {
        return $this->data;
    }
    public function GetParam($_8dabb06efc95df4cff7c4afe91857b53)
    {
        return $this->data[$_8dabb06efc95df4cff7c4afe91857b53];
    }
    public function SetParam($_8dabb06efc95df4cff7c4afe91857b53, $value)
    {
        $this->data[$_8dabb06efc95df4cff7c4afe91857b53] = $value;
    }
    public function GetKey()
    {
        return $this->key;
    }
    public function GetTitle()
    {
        return $this->title;
    }
}